%define		packagename		bwidget
Summary:	High-level Widget Set for Tcl/Tk
Summary(pl.UTF-8):	Wysokopoziomowy zestaw widgetów dla Tcl/Tk
Name:		tk-BWidget
Version:	1.9.12
Release:	1%{?tld}
License:	Tcl (BSD-like)
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/tcllib/bwidget-%{version}.tar.gz
# Source0-md5:	e3e1ddab128c4c3b08b8cb1cf51c1da1
URL:		http://sourceforge.net/projects/tcllib/
BuildRequires:	rpmbuild(macros) >= 1.517
BuildRequires:	sed >= 4.0
BuildRequires:	tcl >= 8.4
Requires:	tcl >= %{tcl_version}
Requires:	tk >= 8.4
Obsoletes:	tcl-bwidget
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The BWidget Toolkit is a high-level Widget Set for Tcl/Tk built using
native Tcl/Tk 8.x namespaces.

The BWidgets have a professional look&feel as in other well known
Toolkits (Tix or Incr Widgets), but the concept is radically different
because everything is pure Tcl/Tk. No platform dependencies, and no
compiling required. The code is 100% Pure Tcl/Tk.

%description -l pl.UTF-8
BWidget Toolkit to wysokopoziomowy zestaw widgetów dla Tcl/Tk
zbudowany przy użyciu natywnych przestrzeni nazw Tcl/Tk 8.x.

BWidgets mają profesjonalny wygląd jak w innych dobrze znanych
toolkitach (Tix lub Incr Widgets), ale koncepcyjnie są całkowicie
inne, ponieważ wszystko jest czystym Tcl/Tk. Nie ma zależności od
platformy, nie wymagają kompilacji. Kod jest w 100% czystym Tcl/Tk.

%prep
%setup -q -n bwidget-%{version}
%{__sed} -i 's/\r//' LICENSE.txt

%install
rm -rf $RPM_BUILD_ROOT
# Don't bother with the included configure script and Makefile.  They
# are missing a lot of pieces and won't work at all.  Installation is
# pretty simple, so we can just do it here manually.
install -d $RPM_BUILD_ROOT%{tcl_sitelib}/%{packagename}%{version}/{lang,images}
cp -a *.tcl $RPM_BUILD_ROOT%{tcl_sitelib}/%{packagename}%{version}
cp -a lang/*.rc $RPM_BUILD_ROOT%{tcl_sitelib}/%{packagename}%{version}/lang
cp -a images/*.gif images/*.xbm $RPM_BUILD_ROOT%{tcl_sitelib}/%{packagename}%{version}/images

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt ChangeLog LICENSE.txt README.txt BWman/*.html
%dir %{tcl_sitelib}/%{packagename}%{version}
%{tcl_sitelib}/%{packagename}%{version}/*.tcl
%{tcl_sitelib}/%{packagename}%{version}/images
%dir %{tcl_sitelib}/%{packagename}%{version}/lang
%{tcl_sitelib}/%{packagename}%{version}/lang/en.rc
%lang(da) %{tcl_sitelib}/%{packagename}%{version}/lang/da.rc
%lang(de) %{tcl_sitelib}/%{packagename}%{version}/lang/de.rc
%lang(es) %{tcl_sitelib}/%{packagename}%{version}/lang/es.rc
%lang(fr) %{tcl_sitelib}/%{packagename}%{version}/lang/fr.rc
%lang(hu) %{tcl_sitelib}/%{packagename}%{version}/lang/hu.rc
%lang(nl) %{tcl_sitelib}/%{packagename}%{version}/lang/nl.rc
%lang(nb) %{tcl_sitelib}/%{packagename}%{version}/lang/no.rc
%lang(pl) %{tcl_sitelib}/%{packagename}%{version}/lang/pl.rc
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/tk-BWidget.git;a=log;h=master

* Thu Jun 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a25e10
- up to 1.9.12

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 6af2752
- updated to 1.9.10

* Mon Mar 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 295890e
- clearer License

* Mon Mar 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 6ee8227
- updated to 1.9.9

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 71e09b4
- tcl rebuild
- release 2 (by relup.sh)

* Sat Jan 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0949ddf
- up to 1.9.7

* Thu Aug 30 2012 Kacper Kornet <draenog@pld-linux.org> a8d6914
- rpm doesn't like macro named package

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> b6e3ebf
- updated to 1.9.2

* Sun May 30 2010 hawk <hawk@pld-linux.org> fdd88ba
- release 2

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> 3b4e73f
- updated to 1.9.0

* Wed Sep 02 2009 Elan Ruusamäe <glen@pld-linux.org> 7397b24
- fix duplicate files; rel 3

* Wed Sep 02 2009 Elan Ruusamäe <glen@pld-linux.org> 40f7821
- merged with tcl-bwidget; rel 2

* Sun Aug 19 2007 ankry <ankry@pld-linux.org> 6df8858
- sorted

* Fri Aug 03 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c096bd9
- up to 1.8.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1163d23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9dcc3da
- converted to UTF-8

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 46d5cf6
- spelling fixes

* Thu Aug 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 8da495d
- unification: use _ulibdir macro

* Wed Aug 18 2004 havner <havner@pld-linux.org> a128b87
- rel 4, stupid tags

* Wed Aug 18 2004 havner <havner@pld-linux.org> f312fe3
- wrrr

